Package weka.gui.beans

# Class TrainingSetEvent

java.lang.Object
java.util.EventObject
weka.gui.beans.TrainingSetEvent

All Implemented Interfaces:
  `Serializable`

public class TrainingSetEvent extends EventObject
Event encapsulating a training set

Version:
  $Revision: 4761 $
Author:
  Mark Hall
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TrainingSetEvent(Object source, Instances trainSet)`
Creates a new `TrainingSetEvent`
`TrainingSetEvent(Object source, Instances trainSet, int setNum, int maxSetNum)`
Creates a new `TrainingSetEvent`
`TrainingSetEvent(Object source, Instances trainSet, int runNum, int maxRunNum, int setNum, int maxSetNum)`
Creates a new `TrainingSetEvent`

## Method Summary

Modifier and Type
Method
Description
`int`
`getMaxRunNumber()`
Get the maximum number of runs.
`int`
`getMaxSetNumber()`
Get the maximum set number
`int`
`getRunNumber()`
Get the run number that this training set belongs to.
`int`
`getSetNumber()`
Get the set number (eg.
`Instances`
`getTrainingSet()`
Get the training instances
`boolean`
`isStructureOnly()`
Returns true if the encapsulated instances contain just header information

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TrainingSetEvent

public TrainingSetEvent(Object source, Instances trainSet)
Creates a new `TrainingSetEvent`

Parameters:
  `source` - the source of the event
  `trainSet` - the training instances

### TrainingSetEvent

public TrainingSetEvent(Object source, Instances trainSet, int setNum, int maxSetNum)
Creates a new `TrainingSetEvent`

Parameters:
  `source` - the source of the event
  `trainSet` - the training instances
  `setNum` - the number of the training set
  `maxSetNum` - the maximum number of sets

### TrainingSetEvent

public TrainingSetEvent(Object source, Instances trainSet, int runNum, int maxRunNum, int setNum, int maxSetNum)
Creates a new `TrainingSetEvent`

Parameters:
  `source` - the source of the event
  `trainSet` - the training instances
  `runNum` - the run number that the training set belongs to
  `maxRunNum` - the maximum run number
  `setNum` - the number of the training set
  `maxSetNum` - the maximum number of sets

## Method Details

### getTrainingSet

public Instances getTrainingSet()
Get the training instances

Returns:
  an `Instances` value

### getRunNumber

public int getRunNumber()
Get the run number that this training set belongs to.

Returns:
  the run number for this training set.

### getMaxRunNumber

public int getMaxRunNumber()
Get the maximum number of runs.

Returns:
  return the maximum number of runs.

### getSetNumber

public int getSetNumber()
Get the set number (eg. fold 2 of a 10 fold split)

Returns:
  an `int` value

### getMaxSetNumber

public int getMaxSetNumber()
Get the maximum set number

Returns:
  an `int` value

### isStructureOnly

public boolean isStructureOnly()
Returns true if the encapsulated instances contain just header information

Returns:
  true if only header information is available in this DataSetEvent